> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-efa94f7d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Error Codes

### Error Response Format

***

The Assessment APIs returns custom error messages for invalid requests in
addition to HTTPS codes.
The failed response contains some properties. These properties and their
values are more indicative of the underlying error.

### Error Response Syntax

***

```json theme={null}
{
    "error": {
        "error_code": "unique_error_code",
        "display_message": "Display message for the user",
        "message":  "Actual error message from the server"
    }
}
```

### Error Fields

***

The Error field represent an error occurred while processing the request. It contains a list of errors. Developers can identify the request is not succeeded based on this field.
Here is the the example of response in case of missing field in the request body.

```json theme={null}
{
    "error": {
        "error_code": "missing_field",
        "display_message": "Uh huh, you missed a required field",
        "message": "Missing required field - gender"
}
```

Here is the description of each error fields present in above error body

| **Field**         | **Description**                                                                                                                                                                                            |
| :---------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `error_code`      | This field represent a custom error code to distinguish between different kind of errors. These error codes are custom and are our platform specific. You can see more about `error_code` in next section. |
| `display_message` | Error display message for the user.                                                                                                                                                                        |
| `message`         | The actual error message from the server.                                                                                                                                                                  |

### Error Codes

***

These are the custom error code field present in failure response body.
There can be various factor that can cause the request to fail. Sometimes
this kind of errors needs to be grouped according the the reason of failure.
This allows developers to diagnose the errors faster.

### List of Error Codes

***

Here is the list of most common error codes that can be returned by the API.

| **error\_code**                 | **message**                                                 | **display\_message**                                                                                    |
| :------------------------------ | :---------------------------------------------------------- | :------------------------------------------------------------------------------------------------------ |
| `invalid_api_route`             | Invalid API Route -                                         | Uh huh, no resource found at this URL, Please check the URL and try again                               |
| `missing_field`                 | Missing required field -                                    | Uh huh, you missed a required field                                                                     |
| `empty_field`                   | This field cannot be empty -                                | Uh huh, a field is expecting some data in it, Please enter valid data.                                  |
| `invalid_field_value`           | This field value is invalid -                               | Uh huh, You have entered invalid value for a field                                                      |
| `invalid_field_choice`          | Invalid choice value -                                      | Uh huh, You have entered wrong choice for a field                                                       |
| `unknown_error`                 | Unknown error                                               | It's not you, It's us! We will try to fix this soon.                                                    |
| `validation_error`              | Validation error -                                          | Uh huh, something went wrong while validating your request. Please check your requst data and try again |
| `internal_server_error`         | Internal server error -                                     | It's not you, It's us! We will try to fix this soon.                                                    |
| `unsupported_workflow_id`       | Unsupported workflow ID -                                   | Uh huh, the requested workflow ID is not supported                                                      |
| `unsupported_age`               | Age not supported                                           | Uh huh, your age should be between 12 to 130 to use this feature                                        |
| `unsupported_gender`            | Gender not supported                                        | Uh huh, we only support male or female gender at this time.                                             |
| `invalid_dob`                   | Invalid date of birth format                                | Date of birth is invalid. Please provide a valid date in format YYYY-MM-DD                              |
| `unsupported_component`         | Invalid component code -                                    | It's not you, It's us! We will try to fix this soon.                                                    |
| `invalid_auth_token`            | Invalid auth token                                          | Uh huh, your Authentication token is invalid. Please provide a valid token                              |
| `invalid_api_version`           | Invalid API version -                                       | Uh huh, the requested API version is not supported                                                      |
| `invalid_assessment_type`       | Invalid assessment type. Supported - \[SA, SN], got -       | Uh huh, the something went wrong from our side, the assessment type is invalid                          |
| `invalid_assessment_stage`      | Invalid Assessment Stage -                                  | Uh huh, something went wrong from our side, the interview cannot start and submit at the same time      |
| `invalid_qualifier_value`       | Invalid Qualifier Value. Supported values-\[p, a, u], got - | Uh huh, the qualifier value is invalid                                                                  |
| `invalid_question_number`       | Invalid question number -                                   | Uh huh, the question number is invalid                                                                  |
| `cache_not_found`               | Sa init cache-date empty/not-found -                        | Uh huh, this assessment session is expired, please start a new assessment                               |
| `assessment_ownership_mismatch` | The assessment does not belong to you -                     | The assessment does not belong to you                                                                   |
